Bug 868653 - SELinux is preventing /usr/sbin/automount from 'read' accesses on the file overcommit_memory.
Summary: SELinux is preventing /usr/sbin/automount from 'read' accesses on the file ov...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a9058cc50ae2f729906c34c2745...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-21 13:18 UTC by Frank Murphy
Modified: 2013-04-19 05:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:51:50 UTC
Type: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-21 13:18 UTC, Frank Murphy
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-21 13:18 UTC, Frank Murphy
no flags Details

Description Frank Murphy 2012-10-21 13:18:49 UTC
Additional info:
libreport version: 2.0.16
kernel:         3.7.0-0.rc1.git3.1.fc19.x86_64

description:
:SELinux is preventing /usr/sbin/automount from 'read' accesses on the file overcommit_memory.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that automount should be allowed read access on the overcommit_memory file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep automount /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:automount_t:s0
:Target Context                system_u:object_r:sysctl_vm_t:s0
:Target Objects                overcommit_memory [ file ]
:Source                        automount
:Source Path                   /usr/sbin/automount
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           autofs-5.0.7-7.fc19.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-36.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.7.0-0.rc1.git3.1.fc19.x86_64 #1
:                              SMP Fri Oct 19 17:01:33 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    2012-10-20 15:11:32 IST
:Last Seen                     2012-10-21 14:15:57 IST
:Local ID                      b4793187-d64c-402c-9177-60450ef60d02
:
:Raw Audit Messages
:type=AVC msg=audit(1350825357.335:69): avc:  denied  { read } for  pid=1465 comm="automount" name="overcommit_memory" dev="proc" ino=21989 scontext=system_u:system_r:automount_t:s0 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1350825357.335:69): arch=x86_64 syscall=open success=no exit=EACCES a0=7f7d1016f6b8 a1=80000 a2=81 a3=21220 items=0 ppid=1 pid=1465 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=automount exe=/usr/sbin/automount subj=system_u:system_r:automount_t:s0 key=(null)
:
:Hash: automount,automount_t,sysctl_vm_t,file,read
:
:audit2allow
:
:#============= automount_t ==============
:allow automount_t sysctl_vm_t:file read;
:
:audit2allow -R
:
:#============= automount_t ==============
:allow automount_t sysctl_vm_t:file read;
:

Comment 1 Frank Murphy 2012-10-21 13:18:52 UTC
Created attachment 630861 [details]
File: type

Comment 2 Frank Murphy 2012-10-21 13:18:54 UTC
Created attachment 630862 [details]
File: hashmarkername

Comment 3 Miroslav Grepl 2012-10-23 13:35:19 UTC
Fixed in selinux-policy-3.11.1-142.fc18.noarch

Comment 4 Fedora End Of Life 2013-04-03 20:27:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora Update System 2013-04-08 11:40:38 UTC
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19

Comment 6 Fedora Update System 2013-04-08 15:48:48 UTC
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-04-19 05:51:51 UTC
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.